package org.jboss.cache.invocation;

/**
 * Thrown when a cache is in an invalid state
 *
 * @author Manik Surtani
 * @since 3.2
 */
public class CacheNotReadyException extends IllegalStateException {
   public CacheNotReadyException() {
   }

   public CacheNotReadyException(String s) {
      super(s);
   }

   public CacheNotReadyException(String message, Throwable cause) {
      super(message, cause);
   }

   public CacheNotReadyException(Throwable cause) {
      super(cause);
   }
}
